Update an existing login option
1 min
PUT
https://api.upstartcommerce.com/v1/user/auth/login-options/{id}
idstringThe unique identifier of the login option to be updated.
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
bodyobjectThe updated details of the login option.
200Successfully updated the login option.
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
403<p>An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.</p>
404Not Found. The login option with the specified ID does not exist.
409The request conflicts with the current state of the resource.
500Internal server error. The server encountered an unexpected condition that prevented it from fulfilling the request.
curl --request PUT \
--url https://api.upstartcommerce.com/v1/user/auth/login-options/{id} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"tenant": "",
"domain": ""
}'